<?xml version="1.0" encoding="UTF-8"?>
<stylesheet xmlns="http://www.w3.org/1999/XSL/Transform"
	xmlns:seaf="http://seaf.sf.net/seaf"
	xmlns:per="http://seaf.sf.net/seaf-persistence"
	version="2.0">
<import href="functions/SeafPersistenceBusinessFunctions.xsl" />
<output method="xml" indent="yes"
	doctype-system="http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd"
	doctype-public="-//Hibernate/Hibernate Mapping DTD//EN" />

<template match="/">
	<apply-templates select="//per:persistence//per:enum-def" />
</template>

<template match="//per:persistence//per:enum-def">
	<variable name="full-type" select="per:entity-full-type(.)" />
	<variable name="class" select="seaf:type-class($full-type)" />
	<variable name="dir" select="seaf:type-dir($full-type)" />
	<variable name="package" select="seaf:type-package($full-type)" />
	<variable name="enum-type" select="concat($class,'_Enum')" />

<result-document href="{$dir}/{$class}.hbm.xml">
	<element name="hibernate-mapping" namespace="">
		<attribute name="package">
			<value-of select="$package" />
		</attribute>
		<element name="typedef" namespace="">
			<attribute name="name">
				<value-of select="$enum-type" />
			</attribute>
			<attribute name="class">net.sf.seaf.persistence.hibernate.StringEnumUserType</attribute>
			<element name="param" namespace="">
				<attribute name="name">className</attribute>
				<value-of select="concat($full-type,'$Code')" />
			</element>
		</element>
		<element name="class" namespace="">
			<attribute name="name">
				<value-of select="$class" />
			</attribute>
			<attribute name="table">
				<value-of select="per:table-name($class)" />
			</attribute>
			<element name="id" namespace="">
				<attribute name="name">code</attribute>
				<attribute name="column">c_code</attribute>
				<attribute name="type">
					<value-of select="$enum-type" />
				</attribute>
				<attribute name="length">1024</attribute>
			</element>
		</element>
	</element>
</result-document>
</template>

</stylesheet>
