<?xml version="1.0" encoding="UTF-8"?>
<stylesheet
	xmlns="http://www.w3.org/1999/XSL/Transform"
	xmlns:seaf="http://seaf.sf.net/seaf"
	xmlns:per="http://seaf.sf.net/seaf-persistence"
	xmlns:beans="http://www.springframework.org/schema/beans"
	version="2.0">
<import href="functions/SeafPersistenceBusinessFunctions.xsl" />
<output method="xml" indent="yes" />

<param name="merged-file-name" />
<variable name="merged-persistence-file" select="document($merged-file-name)" />

<template match="/">
	<apply-templates select="node()" mode="copy" />
</template>

<template match="beans:bean[@id='sessionFactory']/
	beans:property[@name='mappingResources']/beans:list" mode="copy" >
	<copy>
		<apply-templates select="node()|@*" mode="copy" />
		<comment>Entities and code tables:</comment>
<text>
            </text>
		<for-each select="$merged-persistence-file//per:persistence/per:entity">
			<sort select="per:entity-bean-full-type(.)" />
			<variable name="class" select="seaf:type-class(@name)" />
			<variable name="dir" select="seaf:type-dir(per:hbm-xml-full-type(.))" />
			<element name="value" namespace="http://www.springframework.org/schema/beans">
				<value-of select="concat($dir,'/',$class,'.hbm.xml')" />
			</element>
		</for-each>
		<comment>Enumerations:</comment>
<text>
            </text>
		<for-each select="$merged-persistence-file//per:persistence/per:enum-def">
			<sort select="per:entity-bean-full-type(.)" />
			<variable name="class" select="seaf:type-class(@name)" />
			<variable name="dir" select="seaf:type-dir(per:entity-full-type(.))" />
			<element name="value" namespace="http://www.springframework.org/schema/beans">
				<value-of select="concat($dir,'/',$class,'.hbm.xml')" />
			</element>
		</for-each>
	</copy>
</template>

</stylesheet>
