package net.sf.seaf.persistence;

import java.util.List;

import net.sf.seaf.common.PropertySort;
import net.sf.seaf.util.bean.PropertyNamesEnumerator;

/**
 * SEAF criteria bean.
 * 
 * @param <P>
 *            Property enum
 */
public interface CriteriaBean<P extends Enum<?>> extends
		PropertyNamesEnumerator {

	/**
	 * Returns the specifications of the criteria on master entities primary key
	 * properties of this criteria bean.
	 * 
	 * @return The master primary key criteria specifications
	 */
	public Iterable<MasterPkCriterion> getMasterPkCriteria();

	/**
	 * Return the sort criteria.
	 * 
	 * @return Sort criteria
	 */
	List<? extends PropertySort<P>> getSortCriteria_();

}
