package net.sf.seaf.persistence.exception;

import net.sf.seaf.persistence.CodeTable;

/**
 * Thrown from a code table server controller when a code is not valid.
 */
public class CodeNotValidException extends CodeTableException {

	private static final long serialVersionUID = -5100106219042475959L;

	/**
	 * Standard constructor.
	 * 
	 * @param instance
	 *            Instance of the code table containing the code
	 */
	public CodeNotValidException(CodeTable instance) {
		super("Could not refresh " + instance.getClass().getSimpleName()
				+ " by code [" + instance.getCode()
				+ "]. The code is not valid.");
	}

}
