package net.sf.seaf.persistence.hibernate;

import net.sf.seaf.common.PropertySort;
import net.sf.seaf.common.SortOrder;

import org.hibernate.criterion.Order;

/**
 * Adapts the SEAF {@link PropertySort} to Hibernate
 * {@link org.hibernate.criterion.Order}.
 */
public class OrderAdapter extends Order {

	/**
	 * Construct Hibernate {@link org.hibernate.criterion.Order} from a SEAF
	 * {@link PropertySort}.
	 * 
	 * @param propertySort
	 *            SEAF {@link PropertySort}
	 */
	public OrderAdapter(PropertySort<?> propertySort) {
		super(propertySort.getProperty().toString(), !SortOrder.desc
				.equals(propertySort.getOrder()));
	}

	private static final long serialVersionUID = 8832120740839642215L;

}
